summaryrefslogtreecommitdiff
path: root/graphics/update
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/update')
-rwxr-xr-xgraphics/update4
1 files changed, 3 insertions, 1 deletions
diff --git a/graphics/update b/graphics/update
index 5fc7aa519..cee8a3ca1 100755
--- a/graphics/update
+++ b/graphics/update
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -e
#
# Update generated stuff in graphics/ from the source files.
#
@@ -6,6 +6,8 @@
# a) getting the wscript right is a complete pain in the arse
# b) running Inkscape from the command line on OS X is a complete pain in the arse
+set -e
+
pwd=`pwd`
if [ `basename $pwd` != "graphics" ]; then
echo "$0: run within graphics/"